summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMaster/install-tl2
-rwxr-xr-xMaster/tlpkg/bin/c2l14
-rwxr-xr-xMaster/tlpkg/bin/tl-update-auto11
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir35
-rwxr-xr-xMaster/tlpkg/bin/tl-update-containers6
5 files changed, 47 insertions, 21 deletions
diff --git a/Master/install-tl b/Master/install-tl
index 275fd3194a6..ed6638a9863 100755
--- a/Master/install-tl
+++ b/Master/install-tl
@@ -863,7 +863,7 @@ and the repository being accessed are not compatible:
repository: $texlive_release
Perhaps you need to use a different CTAN mirror?
(For more, see the output of install-tl --help, especially the
- -repository option. Online via https://tug.org/texlive/doc)
+ -repository option. Online via https://tug.org/texlive/doc.)
=============================================================================
END_MISMATCH
}
diff --git a/Master/tlpkg/bin/c2l b/Master/tlpkg/bin/c2l
index 123e2fda182..41eba37d1b6 100755
--- a/Master/tlpkg/bin/c2l
+++ b/Master/tlpkg/bin/c2l
@@ -77,6 +77,14 @@ sub main {
print "$0: gh (github/norbert) update done.\n";
exit 0;
+ } elsif ($arg eq "aarmgh") {
+ # usually we get these from cg, but sometimes mojca doesn't build.
+ for my $p (qw(aarch64-linux-gh armhf-linux-gh)) {
+ system ("$0 $p") && die "aarm/$p failed";
+ }
+ print "$0: gh (aarm/norbert) update done.\n";
+ exit 0;
+
} elsif ($arg eq "cg" || $arg eq "moj" || $arg eq "mojca") {
for my $p (qw(aarch64-linux armhf-linux x86_64-darwinlegacy
)) {
@@ -97,7 +105,11 @@ sub main {
exec ("tl-update-bindir", $arg);
}
- if (-d "$TLROOT/Master/bin/$arg") { # platform name
+ # if known platform name, call tl-update-bindir.
+ # so far no clashes with normal packages.
+ (my $arg_no_gh = $arg) =~ s/-gh$//;
+ if (-d "$TLROOT/Master/bin/$arg" # platform name
+ || -d "$TLROOT/Master/bin/$arg_no_gh") { # maybe with -gh signal
print ("tl-update-bindir $arg\n");
exec ("tl-update-bindir", $arg);
}
diff --git a/Master/tlpkg/bin/tl-update-auto b/Master/tlpkg/bin/tl-update-auto
index b95efb643d7..2fc82b90fab 100755
--- a/Master/tlpkg/bin/tl-update-auto
+++ b/Master/tlpkg/bin/tl-update-auto
@@ -13,8 +13,12 @@ exec </dev/null # no redirection
chicken=echo
chicken=
#
-verbose=echo
-verbose=false
+if test "x$1" = x-v; then
+ verbose=echo
+ shift
+else
+ verbose=false
+fi
#
# Toward the end of a release, we may want to update config.{guess,sub}
# but nothing else:
@@ -258,10 +262,11 @@ if $config_scripts_only; then :; else
if test -n "`find $mirrors4tl -newermt '23 hours ago'`"; then
echo "$0: ctan mirror list already updated today, skipping update:" >&2
- ls -l $mirrors4tl >&2
+ ls -lt $mirrors4tl >&2
elif wget --quiet https://ctan.org/tex-archive/CTAN.sites -O $ctan_mirrors \
&& rsync rsync://rsync.dante.ctan.org/MirMon/mirmon.state $ctan_mirmon; then
+ echo "got new mirror data"; ls -l $TMPDIR
$mydir/tl-update-ctan-mirrors -v $ctan_mirrors $ctan_mirmon \
>$mirrors4tl.new
if test $? -ne 0 || test ! -s $mirrors4tl.new; then
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index edcd6916e7d..c7c738a8afa 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -143,9 +143,12 @@ do_download ()
for tlplat in $tlplats; do
destdir=$Master/bin/$tlplat
if test ! -d $destdir; then
- echo "$0: unrecognized platform name \`$tlplat'" >&2
- echo "$0: (no directory $destdir)" >&2
- exit 1
+ destdir=`echo $destdir | sed 's/-gh$//'`
+ if test ! -d $destdir; then
+ echo "$0: unknown platform name \`$tlplat'" >&2
+ echo "$0: (no directory $destdir)" >&2
+ exit 1
+ fi
fi
# updating convenience
@@ -153,11 +156,14 @@ for tlplat in $tlplats; do
default_bin_loc=$download_loc
grab="$download -O $download_loc"
#
- if test x"$USER" = xkarl; then
- case $tlplat in
+ case $tlplat in
aarch64-linux)
# cg build is much much faster than gh, so use it while it works.
- #do_download ${cgurl}/${cgbranch}$tlplat.tar.xz;;
+ do_download ${cgurl}/${cgbranch}$tlplat.tar.xz;;
+
+ aarch64-linux-gh)
+ # but sometimes we end up with the gh build.
+ tlplat=`echo $tlplat | sed s/-gh//`
do_download `github_url $tlplat`;;
amd64-freebsd)
@@ -170,12 +176,12 @@ for tlplat in $tlplats; do
armhf-linux)
# as with aarch.
- #do_download ${cgurl}/${cgbranch}$tlplat.tar.xz;;
+ do_download ${cgurl}/${cgbranch}$tlplat.tar.xz;;
+
+ armhf-linux-gh)
+ # as with aarch.
+ tlplat=`echo $tlplat | sed s/-gh//`
do_download `github_url $tlplat`;;
- #do_download `github_url $tlplat`;;
- #remurl=http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz
- #do_download $remurl;;
- #simon $grab http://getthingsfixed.co.uk/texlive/builds/2022/texlive-armhf.tar.gz
i386-freebsd)
do_download `github_url $tlplat`;;
@@ -240,8 +246,11 @@ for tlplat in $tlplats; do
x86_64-solaris)
do_download `github_url $tlplat amd64-solaris`;;
- esac
- fi # end $USER=karl
+
+ *)
+ echo "$0: unknown platform in case: $tlplat" >&2;
+ exit 1;;
+ esac
#
test -z "$bin_loc" && test -n "$default_bin_loc" \
diff --git a/Master/tlpkg/bin/tl-update-containers b/Master/tlpkg/bin/tl-update-containers
index ab2da939889..aa83b70800e 100755
--- a/Master/tlpkg/bin/tl-update-containers
+++ b/Master/tlpkg/bin/tl-update-containers
@@ -1,6 +1,6 @@
#!/usr/bin/env perl
# $Id$
-# Copyright 2008-2023 Norbert Preining
+# Copyright 2008-2024 Norbert Preining
# This file is licensed under the GNU General Public License version 2
# or any later version.
#
@@ -179,14 +179,14 @@ sub main {
}
if ($oldrev == $newrev) {
- ddebug("$pkg up to date\n");
+ debug("$pkg up to date (rev $oldrev)\n") if $pkg eq "texlive-scripts";
# check for the existence of all containers in case they go missing
if (($tlp->runfiles && ! -r "$opt_containerdir/$pkg.tar.$type")
|| ($srcsplit && $tlp->srcfiles
&& ! -r "$opt_containerdir/$pkg.source.tar.$type")
|| ($docsplit && $tlp->docfiles
&& ! -r "$opt_containerdir/$pkg.doc.tar.$type")) {
- info("$prg: container(s) for $pkg disappeared, recreating them.\n");
+ info("$prg: container(s) for $pkg disappeared, recreating them.\n");
push @todopacks, $pkg;
push (@pkgs_updated, $pkg);
debug(" pushed disappeared to updated: $pkg\n");